std::multiset< _Key, _Compare, _Alloc >(3)

NAME
std::multiset< _Key, _Compare, _Alloc > -

SYNOPSIS

  Public Types
typedef _Alloc allocator_type
typedef _Rep_type::const_iterator const_iterator
typedef
_Alloc_traits::const_pointer const_pointer"
typedef
_Alloc_traits::const_reference const_reference"
typedef
_Rep_type::const_reverse_iterator const_reverse_iterator"
typedef _Rep_type::difference_type difference_type
typedef _Rep_type::const_iterator iterator
typedef _Compare key_compare
typedef _Key key_type
typedef _Alloc_traits::pointer pointer
typedef _Alloc_traits::reference reference
typedef
_Rep_type::const_reverse_iterator reverse_iterator"
typedef _Rep_type::size_type size_type
typedef _Compare value_compare
typedef _Key value_type

  Public Member Functions
multiset ()
multiset (const _Compare &__comp, const allocator_type &__a=allocator_type())
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last)
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const _Compare &__comp, const allocator_type &__a=allocator_type())
multiset (const multiset &__x)
multiset (multiset &&__x) noexcept(is_nothrow_copy_constructible< _Compare >::value)
multiset (initializer_list< value_type > __l, const _Compare &__comp=_Compare(), const allocator_type &__a=allocator_type())
multiset (const allocator_type &__a)
multiset (const multiset &__m, const allocator_type &__a)
multiset (multiset &&__m, const allocator_type &__a) noexcept(is_nothrow_copy_constructible< _Compare >::value &&_Alloc_traits::_S_always_equal())
multiset (initializer_list< value_type > __l, const allocator_type &__a)
template<typename _InputIterator > multiset (_InputIterator __first, _InputIterator __last, const allocator_type &__a)
iterator begin () const noexcept
iterator cbegin () const noexcept
iterator cend () const noexcept
void clear () noexcept
size_type count (const key_type &__x) const
reverse_iterator crbegin () const noexcept
reverse_iterator crend () const noexcept
template<typename... _Args> iterator emplace (_Args &&...__args)
template<typename... _Args> iterator emplace_hint (const_iterator __pos, _Args &&...__args)
bool empty () const noexcept
iterator end () const noexcept
_GLIBCXX_ABI_TAG_CXX11 iterator erase (const_iterator __position)
size_type erase (const key_type &__x)
_GLIBCXX_ABI_TAG_CXX11 iterator erase (const_iterator __first, const_iterator __last)
allocator_type get_allocator () const noexcept
iterator insert (const value_type &__x)
iterator insert (value_type &&__x)
iterator insert (const_iterator __position, const value_type &__x)
iterator insert (const_iterator __position, value_type &&__x)
template<typename _InputIterator > void insert (_InputIterator __first, _InputIterator __last)
void insert (initializer_list< value_type > __l)
key_compare key_comp () const
size_type max_size () const noexcept
multiset & operator= (const multiset &__x)
multiset & operator= (multiset &&__x) noexcept(_Alloc_traits::_S_nothrow_move())
multiset & operator= (initializer_list< value_type > __l)
reverse_iterator rbegin () const noexcept
reverse_iterator rend () const noexcept
size_type size () const noexcept
void swap (multiset &__x) noexcept(_Alloc_traits::_S_nothrow_swap())
value_compare value_comp () const

iterator find (const key_type &__x)
const_iterator find (const key_type &__x) const

iterator lower_bound (const key_type &__x)
const_iterator lower_bound (const key_type &__x) const

iterator upper_bound (const key_type &__x)
const_iterator upper_bound (const key_type &__x) const

std::pair< iterator, iterator > equal_range (const key_type &__x)
std::pair< const_iterator,
const_iterator > equal_range (const key_type &__x) const "

  Friends
template<typename _K1 , typename _C1 , typename _A1 > bool operator< (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)
template<typename _K1 , typename _C1 , typename _A1 > bool operator== (const multiset< _K1, _C1, _A1 > &, const multiset< _K1, _C1, _A1 > &)

Detailed Description

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>>class std::multiset< _Key, _Compare, _Alloc >
A standard container made up of elements, which can be retrieved in logarithmic time.

Template Parameters:
    _Key Type of key objects.
    _Compare Comparison function object type, defaults to less<_Key>.
    _Alloc Allocator type, defaults to allocator<_Key>.

Meets the requirements of a container, a reversible container, and an associative container (using equivalent keys). For a multiset<Key> the key_type and value_type are Key.

Multisets support bidirectional iterators.

The private tree data is declared exactly the same way for set and multiset; the distinction is made entirely in how the tree functions are called (*_unique versus *_equal, same as the standard).

Definition at line 92 of file stl_multiset.h.

Constructor & Destructor Documentation

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset () [inline]

Default constructor creates no elements.

Definition at line 140 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const _Compare &__comp, const allocator_type &__a = allocator_type()) [inline], [explicit]

Creates a multiset with no elements.

Parameters:
    __comp Comparator to use.
    __a An allocator object.

Definition at line 149 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > std::multiset< _Key, _Compare, _Alloc >::multiset (_InputIterator__first, _InputIterator__last) [inline]

Builds a multiset from a range.

Parameters:
    __first An input iterator.
    __last An input iterator.

Create a multiset consisting of copies of the elements from [first,last). This is linear in N if the range is already sorted, and NlogN otherwise (where N is distance(__first,__last)).

Definition at line 163 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > std::multiset< _Key, _Compare, _Alloc >::multiset (_InputIterator__first, _InputIterator__last, const _Compare &__comp, const allocator_type &__a = allocator_type()) [inline]

Builds a multiset from a range.

Parameters:
    __first An input iterator.
    __last An input iterator.
    __comp A comparison functor.
    __a An allocator object.

Create a multiset consisting of copies of the elements from [__first,__last). This is linear in N if the range is already sorted, and NlogN otherwise (where N is distance(__first,__last)).

Definition at line 179 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const multiset< _Key, _Compare, _Alloc > &__x) [inline]

Multiset copy constructor.

Parameters:
    __x A multiset of identical element and allocator types.

The newly-created multiset uses a copy of the allocation object used by __x.

Definition at line 192 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (multiset< _Key, _Compare, _Alloc > &&__x) [inline], [noexcept]

Multiset move constructor.

Parameters:
    __x A multiset of identical element and allocator types.

The newly-created multiset contains the exact contents of __x. The contents of __x are a valid, but unspecified multiset.

Definition at line 203 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (initializer_list< value_type >__l, const _Compare &__comp = _Compare(), const allocator_type &__a = allocator_type()) [inline]

Builds a multiset from an initializer_list.

Parameters:
    __l An initializer_list.
    __comp A comparison functor.
    __a An allocator object.

Create a multiset consisting of copies of the elements from the list. This is linear in N if the list is already sorted, and NlogN otherwise (where N is __l.size()).

Definition at line 217 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const allocator_type &__a) [inline], [explicit]

Allocator-extended default constructor.

Definition at line 225 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (const multiset< _Key, _Compare, _Alloc > &__m, const allocator_type &__a) [inline]

Allocator-extended copy constructor.

Definition at line 229 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (multiset< _Key, _Compare, _Alloc > &&__m, const allocator_type &__a) [inline], [noexcept]

Allocator-extended move constructor.

Definition at line 233 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::multiset< _Key, _Compare, _Alloc >::multiset (initializer_list< value_type >__l, const allocator_type &__a) [inline]

Allocator-extended initialier-list constructor.

Definition at line 239 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > std::multiset< _Key, _Compare, _Alloc >::multiset (_InputIterator__first, _InputIterator__last, const allocator_type &__a) [inline]

Allocator-extended range constructor.

Definition at line 245 of file stl_multiset.h.

Member Function Documentation

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::begin () const [inline], [noexcept]
Returns a read-only (constant) iterator that points to the first element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 330 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::cbegin () const [inline], [noexcept]
Returns a read-only (constant) iterator that points to the first element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 367 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::cend () const [inline], [noexcept]
Returns a read-only (constant) iterator that points one past the last element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 376 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> void std::multiset< _Key, _Compare, _Alloc >::clear () [inline], [noexcept]
Erases all elements in a multiset. Note that this function only erases the elements, and that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 654 of file stl_multiset.h.

Referenced by std::multiset< _Key, _Compare, _Alloc >::operator=().

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::count (const key_type &__x) const [inline]

Finds the number of elements with given key.

Parameters:
    __x Key of elements to be located.

Returns:
    Number of elements with specified key.

Definition at line 665 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::crbegin () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 385 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::crend () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 394 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename... _Args> iterator std::multiset< _Key, _Compare, _Alloc >::emplace (_Args &&...__args) [inline]

Builds and inserts an element into the multiset.

Parameters:
    __args Arguments used to generate the element instance to be inserted.

Returns:
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Insertion requires logarithmic time.

Definition at line 447 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename... _Args> iterator std::multiset< _Key, _Compare, _Alloc >::emplace_hint (const_iterator__pos, _Args &&...__args) [inline]

Builds and inserts an element into the multiset.

Parameters:
    __pos An iterator that serves as a hint as to where the element should be inserted.
    __args Arguments used to generate the element instance to be inserted.

Returns:
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Note that the first parameter is only a hint and can potentially improve the performance of the insertion process. A bad hint would cause no gains in efficiency.

See http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt07ch17.html for more on hinting.

Insertion requires logarithmic time (if the hint is not taken).

Definition at line 473 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> bool std::multiset< _Key, _Compare, _Alloc >::empty () const [inline], [noexcept]

Returns true if the set is empty.

Definition at line 400 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::end () const [inline], [noexcept]
Returns a read-only (constant) iterator that points one past the last element in the multiset. Iteration is done in ascending order according to the keys.

Definition at line 339 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::pair<iterator, iterator> std::multiset< _Key, _Compare, _Alloc >::equal_range (const key_type &__x) [inline]

Finds a subsequence matching given key.

Parameters:
    __x Key to be located.

Returns:
    Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

std::make_pair(c.lower_bound(val),
               c.upper_bound(val))

 (but is faster than making the calls separately).

This function probably only makes sense for multisets.

Definition at line 745 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> std::pair<const_iterator, const_iterator> std::multiset< _Key, _Compare, _Alloc >::equal_range (const key_type &__x) const [inline]

Finds a subsequence matching given key.

Parameters:
    __x Key to be located.

Returns:
    Pair of iterators that possibly points to the subsequence matching given key.

This function is equivalent to

std::make_pair(c.lower_bound(val),
               c.upper_bound(val))

 (but is faster than making the calls separately).

This function probably only makes sense for multisets.

Definition at line 749 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> _GLIBCXX_ABI_TAG_CXX11 iterator std::multiset< _Key, _Compare, _Alloc >::erase (const_iterator__position) [inline]

Erases an element from a multiset.

Parameters:
    __position An iterator pointing to the element to be erased.

Returns:
    An iterator pointing to the element immediately following position prior to the element being erased. If no such element exists, end() is returned.

This function erases an element, pointed to by the given iterator, from a multiset. Note that this function only erases the element, and that if the element is itself a pointer, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 575 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::erase (const key_type &__x) [inline]

Erases elements according to the provided key.

Parameters:
    __x Key of element to be erased.

Returns:
    The number of elements erased.

This function erases all elements located by the given key from a multiset. Note that this function only erases the element, and that if the element is itself a pointer, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 605 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> _GLIBCXX_ABI_TAG_CXX11 iterator std::multiset< _Key, _Compare, _Alloc >::erase (const_iterator__first, const_iterator__last) [inline]

Erases a [first,last) range of elements from a multiset.

Parameters:
    __first Iterator pointing to the start of the range to be erased.
    __last Iterator pointing to the end of the range to be erased.

Returns:
    The iterator last.

This function erases a sequence of elements from a multiset. Note that this function only erases the elements, and that if the elements themselves are pointers, the pointed-to memory is not touched in any way. Managing the pointer is the user's responsibility.

Definition at line 627 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::find (const key_type &__x) [inline]

Tries to locate an element in a set.

Parameters:
    __x Element to be located.

Returns:
    Iterator pointing to sought-after element, or end() if not found.

This function takes a key and tries to locate the element with which the key matches. If successful the function returns an iterator pointing to the sought after element. If unsuccessful it returns the past-the-end ( end() ) iterator.

Definition at line 683 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> const_iterator std::multiset< _Key, _Compare, _Alloc >::find (const key_type &__x) const [inline]

Tries to locate an element in a set.

Parameters:
    __x Element to be located.

Returns:
    Iterator pointing to sought-after element, or end() if not found.

This function takes a key and tries to locate the element with which the key matches. If successful the function returns an iterator pointing to the sought after element. If unsuccessful it returns the past-the-end ( end() ) iterator.

Definition at line 687 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> allocator_type std::multiset< _Key, _Compare, _Alloc >::get_allocator () const [inline], [noexcept]

Returns the memory allocation object.

Definition at line 321 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::insert (const value_type &__x) [inline]

Inserts an element into the multiset.

Parameters:
    __x Element to be inserted.

Returns:
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Insertion requires logarithmic time.

Definition at line 492 of file stl_multiset.h.

Referenced by std::multiset< _Key, _Compare, _Alloc >::insert(), and std::multiset< _Key, _Compare, _Alloc >::operator=().

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::insert (const_iterator__position, const value_type &__x) [inline]

Inserts an element into the multiset.

Parameters:
    __position An iterator that serves as a hint as to where the element should be inserted.
    __x Element to be inserted.

Returns:
    An iterator that points to the inserted element.

This function inserts an element into the multiset. Contrary to a std::set the multiset does not rely on unique keys and thus multiple copies of the same element can be inserted.

Note that the first parameter is only a hint and can potentially improve the performance of the insertion process. A bad hint would cause no gains in efficiency.

See http://gcc.gnu.org/onlinedocs/libstdc++/manual/bk01pt07ch17.html for more on hinting.

Insertion requires logarithmic time (if the hint is not taken).

Definition at line 522 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> template<typename _InputIterator > void std::multiset< _Key, _Compare, _Alloc >::insert (_InputIterator__first, _InputIterator__last) [inline]

A template function that tries to insert a range of elements.

Parameters:
    __first Iterator pointing to the start of the range to be inserted.
    __last Iterator pointing to the end of the range.

Complexity similar to that of the range constructor.

Definition at line 541 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> void std::multiset< _Key, _Compare, _Alloc >::insert (initializer_list< value_type >__l) [inline]

Attempts to insert a list of elements into the multiset.

Parameters:
    __l A std::initializer_list<value_type> of elements to be inserted.

Complexity similar to that of the range constructor.

Definition at line 553 of file stl_multiset.h.

References std::multiset< _Key, _Compare, _Alloc >::insert().

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> key_compare std::multiset< _Key, _Compare, _Alloc >::key_comp () const [inline]

Returns the comparison object.

Definition at line 313 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::lower_bound (const key_type &__x) [inline]

Finds the beginning of a subsequence matching given key.

Parameters:
    __x Key to be located.

Returns:
    Iterator pointing to first element equal to or greater than key, or end().

This function returns the first element of a subsequence of elements that matches the given key. If unsuccessful it returns an iterator pointing to the first element that has a greater value than given key or end() if no such element exists.

Definition at line 704 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> const_iterator std::multiset< _Key, _Compare, _Alloc >::lower_bound (const key_type &__x) const [inline]

Finds the beginning of a subsequence matching given key.

Parameters:
    __x Key to be located.

Returns:
    Iterator pointing to first element equal to or greater than key, or end().

This function returns the first element of a subsequence of elements that matches the given key. If unsuccessful it returns an iterator pointing to the first element that has a greater value than given key or end() if no such element exists.

Definition at line 708 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::max_size () const [inline], [noexcept]

Returns the maximum size of the set.

Definition at line 410 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> multiset& std::multiset< _Key, _Compare, _Alloc >::operator= (const multiset< _Key, _Compare, _Alloc > &__x) [inline]

Multiset assignment operator.

Parameters:
    __x A multiset of identical element and allocator types.

All the elements of __x are copied, but unlike the copy constructor, the allocator object is not copied.

Definition at line 259 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> multiset& std::multiset< _Key, _Compare, _Alloc >::operator= (multiset< _Key, _Compare, _Alloc > &&__x) [inline], [noexcept]

Multiset move assignment operator.

Parameters:
    __x A multiset of identical element and allocator types.

The contents of __x are moved into this multiset (without copying if the allocators compare equal or get moved on assignment). Afterwards __x is in a valid, but unspecified state.

Definition at line 275 of file stl_multiset.h.

References std::multiset< _Key, _Compare, _Alloc >::clear(), and std::multiset< _Key, _Compare, _Alloc >::insert().

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> multiset& std::multiset< _Key, _Compare, _Alloc >::operator= (initializer_list< value_type >__l) [inline]

Multiset list assignment operator.

Parameters:
    __l An initializer_list.

This function fills a multiset with copies of the elements in the initializer list __l.

Note that the assignment completely changes the multiset and that the resulting multiset's size is the same as the number of elements assigned. Old data may be lost.

Definition at line 301 of file stl_multiset.h.

References std::multiset< _Key, _Compare, _Alloc >::clear(), and std::multiset< _Key, _Compare, _Alloc >::insert().

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::rbegin () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 348 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> reverse_iterator std::multiset< _Key, _Compare, _Alloc >::rend () const [inline], [noexcept]
Returns a read-only (constant) reverse iterator that points to the last element in the multiset. Iteration is done in descending order according to the keys.

Definition at line 357 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> size_type std::multiset< _Key, _Compare, _Alloc >::size () const [inline], [noexcept]

Returns the size of the set.

Definition at line 405 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> void std::multiset< _Key, _Compare, _Alloc >::swap (multiset< _Key, _Compare, _Alloc > &__x) [inline], [noexcept]

Swaps data with another multiset.

Parameters:
    __x A multiset of the same element and allocator types.

This exchanges the elements between two multisets in constant time. (It is only swapping a pointer, an integer, and an instance of the Compare type (which itself is often stateless and empty), so it should be quite fast.) Note that the global std::swap() function is specialized such that std::swap(s1,s2) will feed to this function.

Definition at line 425 of file stl_multiset.h.

Referenced by std::swap().

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> iterator std::multiset< _Key, _Compare, _Alloc >::upper_bound (const key_type &__x) [inline]

Finds the end of a subsequence matching given key.

Parameters:
    __x Key to be located.

Returns:
    Iterator pointing to the first element greater than key, or end().

Definition at line 720 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> const_iterator std::multiset< _Key, _Compare, _Alloc >::upper_bound (const key_type &__x) const [inline]

Finds the end of a subsequence matching given key.

Parameters:
    __x Key to be located.

Returns:
    Iterator pointing to the first element greater than key, or end().

Definition at line 724 of file stl_multiset.h.

  template<typename _Key, typename _Compare = std::less<_Key>, typename _Alloc = std::allocator<_Key>> value_compare std::multiset< _Key, _Compare, _Alloc >::value_comp () const [inline]

Returns the comparison object.

Definition at line 317 of file stl_multiset.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.